package org.ersoft.ooad.hacs.property;

import org.ersoft.ooad.hacs.*;
import org.snmp4j.smi.OID;
import org.snmp4j.smi.OctetString;

public class StringProperty extends Property<java.lang.String,OctetString> {
	public StringProperty(Device device, OID oidValue, java.lang.String name, java.lang.String obj) {
		super(device, oidValue, name, obj);
	}
	public StringProperty(Device device, OID oidValue, java.lang.String name, OctetString obj) {
		super(device, oidValue, name, obj);
	}
	protected OctetString toVariable(java.lang.String o) {
		return new OctetString(o);
	}
	protected java.lang.String fromVariable(OctetString v) {
		return v.toString();
	}
}
